$(function($){
   
   
   $.fn.toggle_campos = function(e)
   {
	   $('.class_form_group')[e]()
	   $('.method_form_group')[e]()   
	   $('.acoes_form_group')[e]()	   
   }
   
   $.fn.carrega_unica = function()
   {
	   $(this).toggle_campos('slideDown')
   }   
   
   $.fn.carrega_multipla = function()
   {
	   $(this).toggle_campos('hide')	   
   }
   
   $('input[name=type]').click(function(){
		if($(this).val() == '1'){
			$(this).carrega_unica()
		}
		else{
			$(this).carrega_multipla()
		}
	})
   
   $(window).on('load',function(){
	   var tipo = $('input[name=type]:checked').val()
	   switch (tipo) {
		case '1':
			$(this).carrega_unica()
		break;
		case '2':
			$(this).carrega_multipla()
		break;	
		default:
			$(this).carrega_unica()
		}	   
   })
   
   
});